petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCBDDCGetNeumannBoundaries

Get parallel IS for Neumann boundaries

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetNeumannBoundaries(PC pc,IS *NeumannBoundaries)

Collective

### Input Parameters

pc -the preconditioning context

### Output Parameters

NeumannBoundaries -index set defining the Neumann boundaries

### Notes

The IS returned (if any) is the same passed in earlier by the user with PCBDDCSetNeumannBoundaries

### See Also

PCBDDC

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCGetNeumannBoundaries_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages